| The Gaudi Framework v32r1 (f65d50dc)

Public Attributes | List of all members
pfm_nhm_sel_reg_t Union Reference

`#include <src/component/perfmon/pfmlib_intel_nhm.h>`

## Public Attributes
unsigned long long | val
struct {
unsigned long sel_event: 8
unsigned long sel_umask: 8
unsigned long sel_usr: 1
unsigned long sel_os: 1
unsigned long sel_edge: 1
unsigned long sel_pc: 1
unsigned long sel_int: 1
unsigned long sel_anythr: 1
unsigned long sel_en: 1
unsigned long sel_inv: 1
unsigned long sel_cnt_mask: 8
unsigned long sel_res2: 32
} | perfevtsel
struct {
unsigned long usel_event: 8
unsigned long usel_umask: 8
unsigned long usel_res1: 1
unsigned long usel_occ: 1
unsigned long usel_edge: 1
unsigned long usel_res2: 1
unsigned long usel_int: 1
unsigned long usel_res3: 1
unsigned long usel_en: 1
unsigned long usel_inv: 1
unsigned long usel_cnt_mask: 8
unsigned long usel_res4: 32
} | unc_perfevtsel
struct {
unsigned long cpl_eq0: 1
unsigned long cpl_neq0: 1
unsigned long jcc: 1
unsigned long near_rel_call: 1
unsigned long near_ind_call: 1
unsigned long near_ret: 1
unsigned long near_ind_jmp: 1
unsigned long near_rel_jmp: 1
unsigned long far_branch: 1
unsigned long reserved1: 23
unsigned long reserved2: 32
} | lbr_select

## Detailed Description

Definition at line 50 of file pfmlib_intel_nhm.h.

## Member Data Documentation

## ◆ cpl_eq0

unsigned long pfm_nhm_sel_reg_t::cpl_eq0

Definition at line 81 of file pfmlib_intel_nhm.h.

## ◆ cpl_neq0

unsigned long pfm_nhm_sel_reg_t::cpl_neq0

Definition at line 82 of file pfmlib_intel_nhm.h.

## ◆ far_branch

unsigned long pfm_nhm_sel_reg_t::far_branch

Definition at line 89 of file pfmlib_intel_nhm.h.

## ◆ jcc

unsigned long pfm_nhm_sel_reg_t::jcc

Definition at line 83 of file pfmlib_intel_nhm.h.

## ◆ lbr_select

struct { ... } pfm_nhm_sel_reg_t::lbr_select

## ◆ near_ind_call

unsigned long pfm_nhm_sel_reg_t::near_ind_call

Definition at line 85 of file pfmlib_intel_nhm.h.

## ◆ near_ind_jmp

unsigned long pfm_nhm_sel_reg_t::near_ind_jmp

Definition at line 87 of file pfmlib_intel_nhm.h.

## ◆ near_rel_call

unsigned long pfm_nhm_sel_reg_t::near_rel_call

Definition at line 84 of file pfmlib_intel_nhm.h.

## ◆ near_rel_jmp

unsigned long pfm_nhm_sel_reg_t::near_rel_jmp

Definition at line 88 of file pfmlib_intel_nhm.h.

## ◆ near_ret

unsigned long pfm_nhm_sel_reg_t::near_ret

Definition at line 86 of file pfmlib_intel_nhm.h.

## ◆ perfevtsel

struct { ... } pfm_nhm_sel_reg_t::perfevtsel

## ◆ reserved1

unsigned long pfm_nhm_sel_reg_t::reserved1

Definition at line 90 of file pfmlib_intel_nhm.h.

## ◆ reserved2

unsigned long pfm_nhm_sel_reg_t::reserved2

Definition at line 91 of file pfmlib_intel_nhm.h.

## ◆ sel_anythr

unsigned long pfm_nhm_sel_reg_t::sel_anythr

Definition at line 60 of file pfmlib_intel_nhm.h.

## ◆ sel_cnt_mask

unsigned long pfm_nhm_sel_reg_t::sel_cnt_mask

Definition at line 63 of file pfmlib_intel_nhm.h.

## ◆ sel_edge

unsigned long pfm_nhm_sel_reg_t::sel_edge

Definition at line 57 of file pfmlib_intel_nhm.h.

## ◆ sel_en

unsigned long pfm_nhm_sel_reg_t::sel_en

Definition at line 61 of file pfmlib_intel_nhm.h.

## ◆ sel_event

unsigned long pfm_nhm_sel_reg_t::sel_event

Definition at line 53 of file pfmlib_intel_nhm.h.

## ◆ sel_int

unsigned long pfm_nhm_sel_reg_t::sel_int

Definition at line 59 of file pfmlib_intel_nhm.h.

## ◆ sel_inv

unsigned long pfm_nhm_sel_reg_t::sel_inv

Definition at line 62 of file pfmlib_intel_nhm.h.

## ◆ sel_os

unsigned long pfm_nhm_sel_reg_t::sel_os

Definition at line 56 of file pfmlib_intel_nhm.h.

## ◆ sel_pc

unsigned long pfm_nhm_sel_reg_t::sel_pc

Definition at line 58 of file pfmlib_intel_nhm.h.

## ◆ sel_res2

unsigned long pfm_nhm_sel_reg_t::sel_res2

Definition at line 64 of file pfmlib_intel_nhm.h.

## ◆ sel_umask

unsigned long pfm_nhm_sel_reg_t::sel_umask

Definition at line 54 of file pfmlib_intel_nhm.h.

## ◆ sel_usr

unsigned long pfm_nhm_sel_reg_t::sel_usr

Definition at line 55 of file pfmlib_intel_nhm.h.

## ◆ unc_perfevtsel

struct { ... } pfm_nhm_sel_reg_t::unc_perfevtsel

## ◆ usel_cnt_mask

unsigned long pfm_nhm_sel_reg_t::usel_cnt_mask

Definition at line 77 of file pfmlib_intel_nhm.h.

## ◆ usel_edge

unsigned long pfm_nhm_sel_reg_t::usel_edge

Definition at line 71 of file pfmlib_intel_nhm.h.

## ◆ usel_en

unsigned long pfm_nhm_sel_reg_t::usel_en

Definition at line 75 of file pfmlib_intel_nhm.h.

## ◆ usel_event

unsigned long pfm_nhm_sel_reg_t::usel_event

Definition at line 67 of file pfmlib_intel_nhm.h.

## ◆ usel_int

unsigned long pfm_nhm_sel_reg_t::usel_int

Definition at line 73 of file pfmlib_intel_nhm.h.

## ◆ usel_inv

unsigned long pfm_nhm_sel_reg_t::usel_inv

Definition at line 76 of file pfmlib_intel_nhm.h.

## ◆ usel_occ

unsigned long pfm_nhm_sel_reg_t::usel_occ

Definition at line 70 of file pfmlib_intel_nhm.h.

## ◆ usel_res1

unsigned long pfm_nhm_sel_reg_t::usel_res1

Definition at line 69 of file pfmlib_intel_nhm.h.

## ◆ usel_res2

unsigned long pfm_nhm_sel_reg_t::usel_res2

Definition at line 72 of file pfmlib_intel_nhm.h.

## ◆ usel_res3

unsigned long pfm_nhm_sel_reg_t::usel_res3

Definition at line 74 of file pfmlib_intel_nhm.h.

## ◆ usel_res4

unsigned long pfm_nhm_sel_reg_t::usel_res4

Definition at line 78 of file pfmlib_intel_nhm.h.

## ◆ usel_umask

unsigned long pfm_nhm_sel_reg_t::usel_umask

Definition at line 68 of file pfmlib_intel_nhm.h.

## ◆ val

unsigned long long pfm_nhm_sel_reg_t::val

Definition at line 51 of file pfmlib_intel_nhm.h.

The documentation for this union was generated from the following file:

- GaudiProfiling/src/component/perfmon/pfmlib_intel_nhm.h